# Package play.exceptions

Interface Summary
SourceAttachment: Exception has source attachment

Exception Summary
ActionNotFoundException
CacheException
CompilationException: A java compilation error
ConfigurationException: Error in application.conf
ContinuationsException
DatabaseException
JavaExecutionException
JPAException
MailException: Error while sending an email
NoRouteFoundException: No route found (during reverse routing)
PlayException: The super class for all Play! exceptions
PlayExceptionWithJavaSource
RestartNeededException
TagInternalException: A exception during tag invocation
TemplateCompilationException: A exception during template compilation
TemplateException: An exception during template execution
TemplateExecutionException: An exception during template execution
TemplateExecutionException.DoBodyException
TemplateNotFoundException
UnexpectedException
YAMLException